Name:           gp2c
Version:        0.0.12
Release:        1%{?dist}
Summary:        PARI/GP script to C program translator

License:        GPLv2+
URL:            https://pari.math.u-bordeaux.fr/
Source0:        %{url}pub/pari/GP2C/%{name}-%{version}.tar.gz
Source1:        %{url}pub/pari/GP2C/%{name}-%{version}.tar.gz.asc
# Public key 0x4522e387, Bill Allombert <Bill.Allombert@math.u-bordeaux.fr>
Source2:        gpgkey-42028EA404A2E9D80AC453148F0E7C2B4522E387.gpg

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  pari-devel
BuildRequires:  pari-gp
BuildRequires:  perl
BuildRequires:  tex(latex)

Requires:       gcc
Requires:       pari-devel%{?_isa}

Recommends:     pari-gp

%description
GP2C is a PARI/GP script to C program translator.

%package        doc
Summary:        Documentation for gp2c
BuildArch:      noarch

%description    doc
This package contains documentation for GP2C.

%prep
%{gpgverify} --data=%{SOURCE0} --signature=%{SOURCE1} --keyring=%{SOURCE2}
%autosetup

# Convert to Unicode
iconv -f ISO8859-1 -t UTF-8 ChangeLog > ChangeLog.utf8
touch -r ChangeLog ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog

# Regenerate the documentation
rm doc/*.{dvi,html,pdf}

%build
%configure --with-paricfg=%{_libdir}/pari/pari.cfg
%make_build

# Build the documentation
# The makefile does not invoke LaTex enough times, so do it manually
cd doc
pdflatex -interaction=batchmode gp2c.tex
pdflatex -interaction=batchmode gp2c.tex
pdflatex -interaction=batchmode gp2c.tex
pdflatex -interaction=batchmode type.tex
pdflatex -interaction=batchmode type.tex
cd -

%install
%make_install

# We will install the files we want with %%doc below
rm -fr %{buildroot}%{_docdir}/%{name}

%check
%make_build check

%files
%doc README
%license COPYING
%{_bindir}/gp2c
%{_bindir}/gp2c-run
%{_mandir}/man1/gp2c.1*
%{_mandir}/man1/gp2c-run.1*
%{_datadir}/gp2c/

%files doc
%doc AUTHORS ChangeLog BUGS doc/*.pdf doc/*.png
%license COPYING

%changelog
* Wed Aug 11 2021 Jerry James <loganjerry@gmail.com> - 0.0.12-1
- Initial RPM
